Index: LMDZ4/branches/V3_test/create_make_gcm
===================================================================
--- LMDZ4/branches/V3_test/create_make_gcm	(revision 703)
+++ LMDZ4/branches/V3_test/create_make_gcm	(revision 704)
@@ -9,21 +9,7 @@
 libf=$gcm/libf
 libo=$gcm/libo
-CRAY=0
-if [ "$machine" = "atlas" -o "$machine" = "etoile" -o "$machine" = "axis" ] ; then
-  CRAY=1
-fi
-XNEC=0
-if [ "$machine" = "rhodes" ] ; then
-  XNEC=1
-fi
-X6NEC=0
-if [ "$machine" = "mercure" ] ; then
-  X6NEC=1
-fi
-VPP=0
-if [ "$machine" = "nymphea0" ] ; then
-  VPP=1
-fi
-#
+
+X6NEC=1
+
 echo "#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
 echo "# Definitions de Macros pour Make"
@@ -33,16 +19,6 @@
 echo
 echo "GCM     = "$gcm
-if [ "$CRAY" = '0' ] ; then
-   echo "MACHINE = sun4"
-fi
 echo 'LIBF    = $(GCM)/libf'
-if [ "$CRAY" = '0' ] ; then
-#   echo 'LIBO    = $(GCM)/libo/$(MACHINE)'
-   echo 'LIBO    = $(LIBOGCM)/$(MACHINE)'
-else
-   echo 'LIBO    = $(GCM)/libo'
-fi
-#echo 'LOCAL_DIR=$(GCM)'
-#echo $localdir
+echo 'LIBO    = $(GCM)/libo'
 echo "LOCAL_DIR=`echo $localdir`"
 echo 'BIBIO    = $(LIBF)/bibio'
@@ -51,5 +27,5 @@
 echo "DYN  = dyn "
 echo 'LIBPHY = $(LIBO)/libphy$(PHYS).a'
-echo 'DIRMAIN=dyn$(DIM)d'
+echo 'DIRMAIN=dyn$(DIM)d$(FLAG_PARA)'
 echo 'RM=rm'
 echo
@@ -58,25 +34,14 @@
 echo '# Les differentes librairies pour l"edition des liens:'
 echo
-if ( [ "$XNEC" = '1' ] || [ "$X6NEC" = '1' ] ) ; then
-  echo 'dyn3d      = $(LIBO)/libsxdyn3d.a $(LIBO)/libsx$(FILTRE).a'
-  echo 'dyn2d      = $(LIBO)/libsxdyn2d.a'
-  echo 'dyn1d      = $(LIBO)/libsxdyn1d.a'
-  echo 'L_DYN      = -lsxdyn$(DIM)d'
-  echo 'L_FILTRE   = -lsx$(FILTRE)'
-  echo 'L_PHY = -lsxphy$(PHYS) '
-  echo 'L_BIBIO    = -lsxbibio'
-  echo 'L_CHIMIE   ='
-  echo 'L_ADJNT    ='
-else
-  echo 'dyn3d      = $(LIBO)/libdyn3d.a $(LIBO)/lib$(FILTRE).a'
-  echo 'dyn2d      = $(LIBO)/libdyn2d.a'
-  echo 'dyn1d      = $(LIBO)/libdyn1d.a'
-  echo 'L_DYN      = -ldyn$(DIM)d'
-  echo 'L_FILTRE   = -l$(FILTRE)'
-  echo 'L_PHY = -lphy$(PHYS) '
-  echo 'L_BIBIO    = -lbibio'
-  echo 'L_CHIMIE   ='
-  echo 'L_ADJNT    ='
-fi
+echo 'dyn3d            = $(LIBO)/libdyn3d.a $(LIBO)/lib$(FILTRE).a'
+echo 'dyn3d_par      = $(LIBO)/libdyn3d_par.a $(LIBO)/lib$(FILTRE).a'
+echo 'dyn2d            = $(LIBO)/libdyn2d.a'
+echo 'dyn1d            = $(LIBO)/libdyn1d.a'
+echo 'L_DYN      = -ldyn$(DIM)d$(FLAG_PARA)'
+echo 'L_FILTRE   = -l$(FILTRE)'
+echo 'L_PHY = -lphy$(PHYS) '
+echo 'L_BIBIO    = -lbibio'
+echo 'L_ADJNT    ='
+
 echo
 echo "#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
@@ -100,23 +65,19 @@
 echo "PROG = code"
 echo
-echo 'main : $(OPTION_DEP) $(DYN) bibio phys '
+echo 'main : chimie $(DYN) bibio phys $(OPTION_DEP) '
 echo '	cd $(LIBO) ; $(RANLIB) lib*.a ; cd $(GCM) ;\'
 echo '	cd $(LOCAL_DIR); \'
 echo '	$(COMPILE90) $(LIBF)/$(DIRMAIN)/$(PROG).F -o $(PROG).o ; \'
-if [ "$CRAY" = '0' ] ; then
-echo '	$(LINK) $(PROG).o -L$(LIBO) $(L_DYN) $(L_ADJNT) $(L_CHIMIE) $(L_FILTRE) $(L_PHY) $(L_BIBIO) $(L_DYN) $(OPLINK) $(OPTION_LINK) -o $(LOCAL_DIR)/$(PROG).e ; $(RM) $(PROG).o '
-else
-echo '	$(LINK) $(PROG).o -L$(LIBO) $(L_DYN) $(L_ADJNT) $(L_CHIMIE) $(L_FILTRE) $(L_PHY) $(L_BIBIO) $(OPLINK) $(OPTION_LINK) -o $(LOCAL_DIR)/$(PROG).e ; $(RM) $(PROG).o '
-fi
+echo '	$(LINK) $(PROG).o -L$(LIBO) $(L_DYN) $(L_ADJNT) $(L_FILTRE) $(L_PHY) $(L_BIBIO) $(OPLINK) $(OPTION_LINK) -o $(LOCAL_DIR)/$(PROG).e ; $(RM) $(PROG).o '
 echo
-echo 'dyn : $(LIBO)/libdyn$(DIM)d.a $(FILTRE)$(DIM)d'
+echo 'dyn : $(LIBO)/libdyn$(DIM)d$(FLAG_PARA).a $(FILTRE)$(DIM)d'
 echo
 echo 'phys : $(LIBPHY)'
+echo
+echo 'chimie : $(LIBO)/libchimie.a'
 echo
 echo 'bibio : $(LIBO)/libbibio.a'
 echo
 echo 'adjnt : $(LIBO)/libadjnt.a'
-echo
-echo 'chimie : $(LIBO)/libchimie.a'
 echo
 echo '$(FILTRE)3d : $(LIBO)/lib$(FILTRE).a'
@@ -206,5 +167,5 @@
          done
          echo $str1
-	 if [ "$F90" -eq '0' -a -f $fili.F ] ; then
+	 if [ "$F90" -eq '0' ] ; then
            echo '	cd $(LOCAL_DIR); \'
 	   echo '	$(COMPILE) $(LIBF)/'$diri'/'$trufile' ; \'
@@ -221,11 +182,9 @@
                 echo '	cp $(MOD_LOC_DIR)/*.$(MOD_SUFFIX) $(LIBO)/ ; \'
               else
-                echo '	mv $(MOD_LOC_DIR)/'$fili'.$(MOD_SUFFIX) $(LIBO)/'$fili'.$(MOD_SUFFIX) ; \'
+#                echo '	mv $(MOD_LOC_DIR)/'$fili'.$(MOD_SUFFIX) $(LIBO)/'$fili'.$(MOD_SUFFIX) ; \'
+                echo '	mv $(MOD_LOC_DIR)/'*'.$(MOD_SUFFIX) $(LIBO) ; \'
               fi
             fi
 	 fi
-	 if ( [ "$XNEC" -eq '1' ] || [ "$X6NEC" = '1' ] ) ; then
-           echo '	sxar r $(LIBO)/libsx'$diri'.a '$fili'.o ; \'
-         fi
          echo '	$(AR) r $(LIBO)/lib'$diri'.a '$fili'.o ; $(RM) '$fili'.o ; \'
          echo '	cd $(GCM)'
